## samba 3.3.2-1ubuntu3.1trisquel1

=== debian/changelog ===
samba (2:3.3.2-1ubuntu3.1trisquel1) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 04 Aug 2009 20:53:59 +0000

samba (2:3.3.2-1ubuntu3.1) jaunty-proposed; urgency=low

  * debian/patches/fix-password-expiry-calculation.patch: Use correct 
    value for password expiry calculation. (LP: #393450)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 29 Jun 2009 09:35:34 -0400

samba (2:3.3.2-1ubuntu3) jaunty; urgency=low

  [Thierry Carrez] 
  * debian/samba-common.postinst: Add more informative error message for
    the case where smb.conf was manually deleted (LP: #312449)

  [Chuck Short]
  * debian/control: Add suggests keyutils for smbfs. (LP: #300221)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Mar 2009 10:46:15 -0400

samba (2:3.3.2-1ubuntu2) jaunty; urgency=low

  * debian/patches/fix-upstream-bug-6186.patch: Fix for data loss
    with roaming profiles. (https://bugzilla.samba.org/show_bug.cgi?id=6186) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Mar 2009 07:52:14 -0400

samba (2:3.3.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/patches/VERSION.patch:
      - setup SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    * debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    * debian/control:
      - Make libwbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb.
    * debian/rules:
      - enable "native" PIE hardening.
    * Add ufw integration:
      - Created debian/samba.ufw profile.
      - debian/rules, debian/samba.dirs, debian/samba.files: install 
        profile
      - debian/contorl: have samba sugguest ufw.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Mar 2009 06:05:47 +0000

samba (2:3.3.2-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. Closes: #519626
    - mounts with -o guest will now automatically try to connect anonymously.
      Closes: #423971.
    - fix for brokenness when using 'force group'.  Closes: #517760.
    - fix for saving files on Samba shares using MS Office 2007.
      LP: #337037.
  * Re-fix slave links for manual pages in samba-common. Closes: #517204.

  [ Steve Langasek ]
  * Add missing debhelper token to libpam-smbpass.prerm.

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Mar 2009 12:16:48 +0100

samba (2:3.3.1-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #337094), remaining changes:
    + debian/patches/VERSION.patch:
      - setup SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are 
        allowed to create public shares in addition to authenticated
        ones.
      - add map to guest = Bad user, maps bad username to guest access. 
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    + debian/control:
      - Make libwbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb.
    + debian/rules:
      - enable "native" PIE hardening.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
        profile
      - debian/control: have samba suggest ufw
  * Dropped changes, merged in Debian:
    + debian/libpam-smbpass.pam-config, debian/libpam-smbpass.postinst,
      debian/libpam-smbpass.prerm, debian/libpam-smbpass.files,
      debian/rules:
      - Make libpam-smbpasswd depend on libpam-runtime to allow 
        libpam-smbpasswd for auto-configuration.
    + debian/control:
      - Provide a config block for the new PAM framework to auto-configure
        itself
    + debian/samba.postinst:
      - When populating the new sambashare group, it is not an error
        if the user simply does not exist; test for this case and let
        the install continue instead of aborting.
    + debian/winbind.files:
      - include additional files

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Mar 2009 22:02:23 +0000

samba (2:3.3.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. Closes: #516981
    Upstream fixes in that release:
    - Fixed various spelling errors/typos in manpages
      Closes: #516047
    - Fix renaming/deleting of files using Windows clients.
      Closes: #516160
    - Fix syntax error in mount.cifs(8). Closes: #454799
  * Use a slave alternative for smbstatus.1 even though that manpage
    is not provided by samba4

  [ Jelmer Vernooij ]
  * Fix slave links for manual pages in samba-common. Closes: #517204.

  [ Steve Langasek ]
  * Add Vcs-{Browser,Svn} fields to debian/control.
  * When populating the sambashare group, it's not an error if the user
    simply doesn't exist; test for this case and let the install continue
    instead of aborting.  LP: #206036.
  * debian/libpam-smbpass.pam-config, debian/libpam-smbpass.postinst,

