=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Eloy A. Paris <peloy@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Adam Conrad <adconrad@0c3.net>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper, libpam0g-dev, libreadline5-dev, libcups2-dev | libcupsys2-dev, libacl1-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], libkrb5-dev, libldap2-dev, po-debconf, libpopt-dev, quilt, uuid-dev, libtalloc-dev (>= 1.2.0~git20080616), libcap2-dev, libkeyutils-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc]
Build-Conflicts: libfam-dev
Standards-Version: 3.8.1
Homepage: http://www.samba.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba
Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba

Package: samba
Architecture: any
Depends: samba-common (= ${binary:Version}), logrotate, ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), libpam-modules, lsb-base (>= 3.2-13), procps, update-inetd, adduser
Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ufw
Replaces: samba-common (<= 2.0.5a-2)
Conflicts: samba4 (<< 4.0.0~alpha6-2)
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a
 stand-alone file and print server.  For use in an NT4 domain or Active
 Directory realm, you will also need the winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see smbfs).

Package: samba-common
Architecture: any
Depends: libpam-modules, ucf, ${shlibs:Depends}, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1)
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains files and programs needed by Samba when used as
 either a client or a server.

Package: samba-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: samba4, samba4-testsuite
Description: Samba testing utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains extra command-line tools such as smbtorture for
 performance-testing CIFS servers and clients.

Package: smbclient
Architecture: any
Depends: samba-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Provides: samba-client
Suggests: smbfs
Conflicts: samba4-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package smbfs.

Package: swat
Architecture: any
Depends: samba (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver
Recommends: samba-doc (= ${source:Version})
Description: Samba Web Administration Tool
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package allows you to administer a Samba server via a web browser.
 .
 SWAT is no longer actively maintained, and its default configuration is
 not secure for use over an untrusted network.  SWAT will also rewrite
 smb.conf, rearranging the entries and deleting all comments as well as
 include= and copy= options, so is not suitable for use in conjunction
 with hand-edited smb.conf files or the default package-managed
 configuration.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Depends: ${misc:Depends}
Description: Samba documentation
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the non-PDF documentation for the Samba
 suite. See also samba-doc-pdf.

Package: samba-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Samba documentation in PDF format
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the PDF documentation for the Samba suite.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: smbclient, keyutils
Replaces: smbfsx
Description: Samba file system utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides utilities for mounting and unmounting cifs network
 file systems. Other command-line utilities such as smbclient, smbtar
 and smbspool are in the package smbclient.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, samba-common (= ${binary:Version}), ${misc:Depends},
	 libpam-runtime (>= 1.0.1-6)
Suggests: samba
Description: pluggable authentication module for Samba
 This is a module for PAM that enables a system administrator to migrate
 user passwords from the Unix password database to the SMB password
 database as used by Samba, and to subsequently keep the two databases in
 sync.  Unlike other solutions, it does this without needing users to log
 in to Samba using cleartext passwords, or requiring them to change their
 existing passwords.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for communication with SMB/CIFS servers
 This package provides a shared library that enables client applications
 to talk to Microsoft Windows and Samba servers using the SMB/CIFS
 protocol.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}
Description: development files for libsmbclient
 This package provides the development files (static library and headers)
 required for building applications against libsmbclient, a library that
 enables client applications to talk to Microsoft Windows and Samba servers
 using the SMB/CIFS protocol.

Package: winbind
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (= ${binary:Version}), lsb-base (>= 3.0-6), adduser
Replaces: samba (<= 2.2.3-2)
Description: Samba nameservice integration server
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides winbindd, a daemon which integrates authentication
 and directory service (user/group lookup) mechanisms from a Windows
 domain on a Linux system.  User/group lookups are configured via
 /etc/nsswitch.conf, and authentication is integrated using the winbind
 module for PAM.

Package: samba-dbg
Section: devel
Priority: extra
Architecture: any
Depends: samba (= ${binary:Version}), ${misc:Depends}
Description: Samba debugging symbols
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides debugging information for the software in the
 Samba suite. Install it to get a better backtrace in the event of a
 crash.

Package: libwbclient0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: likewise-open (<< 4.1.0.2956)
Conflicts: likewise-open (<< 4.1.0.2956)
Description: Samba winbind client library
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides a library for client applications that interact
 via the winbind pipe protocol with a Samba winbind server.
