## samba 3.3.2-1ubuntu3.6trisquel2

=== debian/changelog ===
samba (2:3.3.2-1ubuntu3.6trisquel2) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 28 Sep 2010 23:31:12 +0000

samba (2:3.3.2-1ubuntu3.6) jaunty-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Sep 2010 10:49:44 -0400

samba (2:3.3.2-1ubuntu3.5) jaunty-security; urgency=low

  * SECURITY UPDATE: arbitrary remote code execution.
    - debian/patches/security-CVE-2010-2063.patch: upstream fixes.

 -- Kees Cook <kees@ubuntu.com>  Mon, 14 Jun 2010 17:14:34 -0700

samba (2:3.3.2-1ubuntu3.4) jaunty-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/include/proto.h,
      source/param/loadparm.c, source/smbd/service.c, source/smbd/trans2.c,
      source/smbd/vfs.c, docs/htmldocs/manpages/smb.conf.5.html and
      docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Mar 2010 14:41:27 -0400

samba (2:3.3.2-1ubuntu3.3) jaunty-security; urgency=low

  * SECURITY UPDATE: privilege escalation via mount.cifs race
    - debian/patches/security-CVE-2009-3297.patch: validate mount point and
      perform mount in "." to prevent race in source/client/mount.cifs.c.
    - CVE-2009-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2010 14:57:44 -0500

samba (2:3.3.2-1ubuntu3.2) jaunty-security; urgency=low

  * SECURITY UPDATE: access control list modification when dos filemode is
    enabled
    - debian/patches/security-CVE-2009-1888.patch: fix group checking in
      acl_group_override in source/smbd/posix_acls.c.
    - CVE-2009-1888
  * SECURITY UPDATE: whole filesystem share via user with no home directory
    - debian/patches/security-CVE-2009-2813.patch: make sure home directory
      is set in source/param/loadparm.c, source/smbd/service.c.
    - CVE-2009-2813
  * SECURITY UPDATE: credentials file disclosure and unauthorized usage via
    setuid mount.cifs
    - debian/patches/security-CVE-2009-2948.patch: don't open credentials
      file if user doesn't have permission, and don't print password when
      using verbose option in source/client/mount.cifs.c.
    - CVE-2009-2948
  * SECURITY UPDATE: denial of service via unexpected oplock break
    notification reply
    - debian/patches/security-CVE-2009-2906.patch: track messages already
      processed in source/include/smb.h, source/smbd/process.c.
    - CVE-2009-2906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2009 08:28:32 -0400
